PATCH/projects/api/v3/tasks/{taskId}/reminders/{reminderId}.json

Update task reminder

Updates an existing reminder for a task.

Path Params

  • Name
    taskId
    Type
    integer
    required
    Description
  • Name
    reminderId
    Type
    integer
    required
    Description

Body Params

Request is the POST body for creating task reminders.

    • Name
      reminder
      Type
      object
      Description
      Reminder stores all necessary information to create a task reminder for one or more recipients.

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      TaskReminderResponse contains information about a single reminder.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Type
      object
      Schema
      Description
      404 Not Found
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    TaskReminderResponse
    {
      "reminder": {
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "id": 0,
        "isRelative": true,
        "note": "string",
        "relativeNumberDays": 0,
        "remindAt": "string",
        "task": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "type": "string",
        "user": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "wasSent": true
      }
    }